> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Modify Item Uses

> _NOTE: This is a Legacy Economy API, and is in bugfix-only mode. All new Economy features are being developed only for version 2._ Modifies the number of remaining uses of a player's inventory item

## Error codes

This operation may return the following PlayFab errors:

| Error | Code |
| --- | --- |
| InvalidItemProperties | 1091 |
| NoRemainingUses | 1062 |
| ProductDisabledForTitle | 1609 |




## OpenAPI

````yaml /services/playfab/api-references/rest/server/server.openapi.json post /Server/ModifyItemUses
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Server API
  description: >-
    Provides functionality to allow external (developer-controlled) servers to
    interact with user inventories and data in a trusted manner, and to handle
    matchmaking and client connection orchestration
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Account Management
    description: Account Management APIs
  - name: Analytics
    description: Analytics APIs
  - name: Authentication
    description: Authentication APIs
  - name: Character Data
    description: Character Data APIs
  - name: Characters
    description: Characters APIs
  - name: Content
    description: Content Service APIs
  - name: Friend List Management
    description: Friend List Management APIs
  - name: Matchmaking
    description: Matchmaking APIs
  - name: Platform Specific Methods
    description: Platform Specific Methods APIs
  - name: Player Data Management
    description: Player Data Management APIs
  - name: Player Item Management
    description: Player Item Management APIs
  - name: PlayStream
    description: PlayStream Management APIs
  - name: Server-Side Cloud Script
    description: Server-Side Cloud Script APIs
  - name: Shared Group Data
    description: Shared Group Data APIs
  - name: Title-Wide Data Management
    description: Title-Wide Data Management APIs
paths:
  /Server/ModifyItemUses:
    post:
      tags:
        - Player Item Management
      summary: Modify Item Uses
      description: >
        _NOTE: This is a Legacy Economy API, and is in bugfix-only mode. All new
        Economy features are being developed only for version 2._ Modifies the
        number of remaining uses of a player's inventory item


        ## Error codes


        This operation may return the following PlayFab errors:


        | Error | Code |

        | --- | --- |

        | InvalidItemProperties | 1091 |

        | NoRemainingUses | 1062 |

        | ProductDisabledForTitle | 1609 |
      operationId: ModifyItemUses
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ModifyItemUsesRequest'
        description: >-
          This function can both add and remove uses of an inventory item. If
          the number of uses drops below zero, the item will be removed from
          active inventory.
      responses:
        '200':
          $ref: '#/components/responses/ModifyItemUsesResult'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - SecretKey: []
components:
  schemas:
    ModifyItemUsesRequest:
      description: >-
        This function can both add and remove uses of an inventory item. If the
        number of uses drops below zero, the item will be removed from active
        inventory.
      type: object
      properties:
        CustomTags:
          description: >-
            The optional custom tags associated with the request (e.g. build
            number, external trace identifiers, etc.).
          type: object
        ItemInstanceId:
          description: Unique instance identifier of the item to be modified.
          type: string
        PlayFabId:
          description: PlayFab unique identifier of the user whose item is being modified.
          type: string
        UsesToAdd:
          description: Number of uses to add to the item. Can be negative to remove uses.
          type: number
          x-actualtype: int32
      required:
        - PlayFabId
        - ItemInstanceId
        - UsesToAdd
      example:
        PlayFabId: '20394883'
        ItemInstanceId: '94585729'
        UsesToAdd: 1
    ModifyItemUsesResult:
      type: object
      properties:
        ItemInstanceId:
          description: Unique instance identifier of the item with uses consumed.
          type: string
        RemainingUses:
          description: Number of uses remaining on the item.
          type: number
          x-actualtype: int32
      required:
        - RemainingUses
      example:
        ItemInstanceId: '94585729'
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
  responses:
    ModifyItemUsesResult:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/ModifyItemUsesResult'
            example:
              code: 200
              status: OK
              data:
                ItemInstanceId: '94585729'
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    SecretKey:
      type: apiKey
      in: header
      name: X-SecretKey
      description: >-
        This API requires a title secret key, available to title admins, from
        PlayFab Game Manager.

````

## Related topics

- [Modify Item Uses](/services/playfab/api-references/rest/server/player-item-management/modify-item-uses.md)
- [Using Player inventory](/services/playfab/player-progression/player-data/player-inventory.md)
- [Profile Writes Meter API Description](/services/playfab/pricing/meters/profile-writes.md)
- [Use XBOX Multiplayer Analysis Tool to inspect and modify network traffic](/tools/tools-services/live-xbox-multiplayer-analysis-tool.md)
- [Grant Items To Users](/services/playfab/api-references/rest/server/player-item-management/grant-items-to-users.md)
